delete from Config ; 
replace into Config set Id = '0' , Name = 'ZM_LANG_DEFAULT', Value = 'en_US', Type = 'string', DefaultValue = 'en_gb', Hint = 'directory', Pattern = '(?-xism:^([a-zA-Z0-9-_.]+)$)', Format = ' $1 ', Prompt = 'Default language used by web interface', Help = 'ZoneMinder allows the web interface to use languages other than English if the appropriate language file has been created and is present. This option allows you to change the default language that is used from the shipped language, British English, to another language', Category = 'system', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '1' , Name = 'ZM_OPT_USE_AUTH', Value = '1', Type = 'boolean', DefaultValue = 'no', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Authenticate user logins to ZoneMinder', Help = 'ZoneMinder can run in two modes. The simplest is an entirely unauthenticated mode where anyone can access ZoneMinder and perform all tasks. This is most suitable for installation where the web server access is limited in other ways. The other mode enables user accounts with varying sets of permissions. Users must login to access ZoneMinder and are limited by their defined permissions.', Category = 'system', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '2' , Name = 'ZM_AUTH_METHOD', Value = 'hashed', Type = 'string', DefaultValue = 'hashed', Hint = 'hashed|plain', Pattern = '(?i-xsm:^([hp]))', Format = ' $1 =~ /^h/ ?\'hashe\' :\'plai\' ', Prompt = 'Method used to send authentication information', Help = 'When ZoneMinder is running in authenticated mode it must pass user details between the web pages and the back end processes. There are two methods for doing this. This first is to use a time limited hashed string which contains no direct username or password details, the second method is to pass the username and passwords around in plaintext. This method is not recommend except where you do not have the md5 libraries available on your system or you have a completely isolated system with no external access.', Category = 'system', Readonly =  '?1:0', Requires = 'ZM_OPT_USE_AUTH=1' ; 
replace into Config set Id = '3' , Name = 'ZM_AUTH_SECRET', Value = 'blah', Type = 'string', DefaultValue = '', Hint = 'string', Pattern = '(?-xism:^(.+)$)', Format = ' $1 ', Prompt = 'Secret used when encoding authentication information', Help = 'When ZoneMinder is running in hashed authenticated mode it is necessary to generate hashed strings containing encrypted sensitive information such as usernames and password. Although these string are reasonably secure the addition of a random secret increases security substantially.', Category = 'system', Readonly =  '?1:0', Requires = 'ZM_AUTH_METHOD=hashed' ; 
replace into Config set Id = '4' , Name = 'ZM_DIR_EVENTS', Value = 'events', Type = 'string', DefaultValue = 'events', Hint = 'directory', Pattern = '(?-xism:^([a-zA-Z0-9-_.]+)$)', Format = ' $1 ', Prompt = 'Directory where events are stored', Help = 'This is the path to the events directory where all the event images and other miscellaneous files are stored. It is normally given as a subdirectory of the web directory you have specified earlier however if disk space is tight it can reside on another partition in which case you should create a link from that area to the path you give here.', Category = 'paths', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '5' , Name = 'ZM_DIR_IMAGES', Value = 'images', Type = 'string', DefaultValue = 'images', Hint = 'directory', Pattern = '(?-xism:^([a-zA-Z0-9-_.]+)$)', Format = ' $1 ', Prompt = 'Directory where the images that the ZoneMinder client generates are stored', Help = 'ZoneMinder generates a myriad of images, mosty of which are associated with events. For those that are\'t this is where they go.', Category = 'paths', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '6' , Name = 'ZM_DIR_SOUNDS', Value = 'sounds', Type = 'string', DefaultValue = 'sounds', Hint = 'directory', Pattern = '(?-xism:^([a-zA-Z0-9-_.]+)$)', Format = ' $1 ', Prompt = 'Directory to the sounds that the ZoneMinder client can use', Help = 'ZoneMinder can optionally play a sound file when an alarm is detected. This indicates where (relative to the web root) to look for this file.', Category = 'paths', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '7' , Name = 'ZM_PATH_ZMS', Value = '/cgi-bin/zms', Type = 'string', DefaultValue = '/cgi-bin/zms', Hint = 'relative/path/to/somewhere', Pattern = '(?-xism:^((?:[^/].*)?)/?$)', Format = ' $1 ', Prompt = 'Web path to zms streaming server', Help = 'The ZoneMinder streaming server is required to send streamed images to your browser. It will be installed into the cgi-bin path given at configuration time. This option determines what the web path to the server is rather than the local path on your machine. Ordinarily the streaming server runs in parser-header mode however if you experience problems with streaming you can change this to non-parsed-header (nph) mode by changing\'zm\' to\'nph-zm\'.', Category = 'paths', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '8' , Name = 'ZM_CAN_STREAM', Value = 'auto', Type = 'string', DefaultValue = 'auto', Hint = 'auto|yes|no', Pattern = '(?i-xsm:^([ayn]))', Format = ' ($1 =~ /^y/) ?\'ye\' : ($1 =~ /^n/ ?\'n\' :\'aut\' ) ', Prompt = 'Override the automatic detection of browser streaming capability', Help = 'If you know that your browser can handle image streams of the type\'multipart/x-mixed-replac\' but ZoneMinder does not detect this correctly you can set this option to ensure that the stream is delivered with or without the use of the Cambozola plugin. Selecting\'ye\' will tell ZoneMinder that your browser can handle the streams natively,\'n\' means that it ca\'t and so the plugin will be used while\'aut\' lets ZoneMinder decide.', Category = 'tools', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '9' , Name = 'ZM_RAND_STREAM', Value = '0', Type = 'boolean', DefaultValue = 'no', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Add a random string to prevent caching of streams', Help = 'Some browsers can cache the streams used by ZoneMinder. In order to prevent his a harmless random string can be appended to the url to make each invocation of the stream appear unique.', Category = 'tools', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '10' , Name = 'ZM_OPT_CAMBOZOLA', Value = '0', Type = 'boolean', DefaultValue = 'no', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Is the (optional) cambozola java streaming client installed (recommended)', Help = 'Cambozola is a handy low fat cheese flavoured Java applet that ZoneMinder uses to view image streams on browsers such as Internet Explorer that do\'t natively support this format. It is highly recommended to install this from http://www.charliemouse.com/code/cambozola/  however if it is not installed still images at a lower refresh rate can still be viewed.', Category = 'tools', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '11' , Name = 'ZM_PATH_CAMBOZOLA', Value = 'cambozola.jar', Type = 'string', DefaultValue = 'cambozola.jar', Hint = 'relative/path/to/somewhere', Pattern = '(?-xism:^((?:[^/].*)?)/?$)', Format = ' $1 ', Prompt = 'Web path to (optional) cambozola java streaming client (recommended)', Help = 'Cambozola is a handy low fat cheese flavoured Java applet that ZoneMinder uses to view image streams on browsers such as Internet Explorer that do\'t natively support this format. It is highly recommended to install this from http://www.charliemouse.com/code/cambozola/  however if it is not installed still images at a lower refresh rate can still be viewed. Leave this as\'cambozola.ja\' if cambozola is installed in the same directory as the ZoneMinder web client files.', Category = 'tools', Readonly =  '?1:0', Requires = 'ZM_OPT_CAMBOZOLA=1' ; 
replace into Config set Id = '12' , Name = 'ZM_TIMESTAMP_ON_CAPTURE', Value = '1', Type = 'boolean', DefaultValue = 'yes', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Timestamp images as soon as they are captured', Help = 'ZoneMinder can add a timestamp to images in two ways. The default method, when this option is set, is that each image is timestamped immediately when captured and so the image held in memory is marked right away. The second method does not timestamp the images until they are either saved as part of an event or accessed over the web. The timestamp used in both methods will contain the same time as this is preserved along with the image. The first method ensures that an image is timestamped regardless of any other circumstances but will result in all images being timestamped even those never saved or viewed. The second method necessitates that saved images are copied before being saved otherwise two timestamps perhaps at different scales may be applied. This has the (perhaps) desirable side effect that the timestamp is always applied at the same resolution so an image that has scaling applied will still have a legible and correctly scaled timestamp.', Category = 'config', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '13' , Name = 'ZM_LOCAL_BGR_INVERT', Value = '1', Type = 'boolean', DefaultValue = 'yes', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Invert BGR colours to RGB', Help = 'Some cameras or video cards capture images in BGR (Blue-Green-Red) order even when the palette says RGB. If you see strange colours casts on your images then it may be worth trying this option to see if that corrects the issue. Note this option will apply only to local cameras and not those over a network.', Category = 'config', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '14' , Name = 'ZM_Y_IMAGE_DELTAS', Value = '1', Type = 'boolean', DefaultValue = 'yes', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Whether we calculate images differences using Y channel', Help = 'When ZoneMinder tries to establish the differences between two colour images it generates a greyscale\'delt\' image between the two sets of images. In order to do this it determines the differences found between the different RGB colour components and calculates a greyscale value representing this. If this option is set then a calculation will be made to convert each pixel of the image into a brightness value (Y from YUV) and then find the difference between the two. If this option is not set then the resulting difference is determined as the average of the differences of each colour which is a simple calculation. Using the Y value is likely to be more accurate and is up to 15% faster. Only switch this option off if Y based deltas do not work as well for you as RGB ones.', Category = 'config', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '15' , Name = 'ZM_FAST_IMAGE_BLENDS', Value = '1', Type = 'boolean', DefaultValue = 'yes', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Whether we use a fast algorithm to blend the reference image', Help = 'In most modes of operation ZoneMinder needs to blend the captured image with the stored reference image to update it for the next image. The reference blend percentage specified for the monitor controls how much the new image affects the reference image. There are two methods that are available for this. If this option is set then a basic calculation is applied which though fast and fairly accurate can (due to rounding) mean that the actual range of pixel values in the reference image may be reduced from that in the captured image, e.g. a pixel may only be able to achieve a maximum of say 250 while the captured image is consistently at 255. If you also have a small minimum pixel difference threshold this can cause multiple bogus alarms. The alternative is to switch this option off which stores an additional set of temporary values which eliminate any significant rounding errors. This is more accurate though up to 6 times slower and should not really be necessary unless you find problems with the default method.', Category = 'config', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '16' , Name = 'ZM_COLOUR_JPEG_FILES', Value = '1', Type = 'boolean', DefaultValue = 'yes', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Colourise greyscale JPEG files', Help = 'Cameras that capture in greyscale can write their captured images to jpeg files with a corresponding greyscale colour space. This saves a small amount of disk space over colour ones. However some tools such as ffmpeg and mpeg_encode either fail to work with this colour space or have to convert it beforehand. Setting this option to yes uses up a little more space but makes creation of MPEG files much faster.', Category = 'config', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '17' , Name = 'ZM_JPEG_FILE_QUALITY', Value = '100', Type = 'integer', DefaultValue = '70', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'Set the JPEG quality setting for the saved event files (1-100)', Help = 'When ZoneMinder detects an event it will save the images associated with that event to files. These files are in the JPEG format and can be viewed or streamed later. This option specifies what image quality should be used to save these files. A higher number means better quality but less compression so will take up more disk space and take longer to view over a slow connection. By contrast a low number means smaller, quicker to view, files but at the price of lower quality images.', Category = 'config', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '18' , Name = 'ZM_JPEG_IMAGE_QUALITY', Value = '100', Type = 'integer', DefaultValue = '70', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'Set the JPEG quality setting for the streamed\'liv\' images (1-100)', Help = 'When viewing a\'liv\' stream for a monitor ZoneMinder will grab an image from the buffer and encode it into JPEG format before sending it. This option specifies what image quality should be used to encode these images. A higher number means better quality but less compression so will take longer to view over a slow connection. By contrast a low number means quicker to view files but at the price of lower quality images. This option does not apply when viewing still images as these are just read from disk and so will be encoded at the quality specified by the previous option.', Category = 'config', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '19' , Name = 'ZM_BLEND_ALARMED_IMAGES', Value = '1', Type = 'boolean', DefaultValue = 'yes', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Whether alarmed images are blended to update the reference image', Help = 'To detect alarms ZoneMinder compares an image with a reference image which is formed from a composite of the previous images. This option determines whether images that cause events are included in this process. Doing so may increase the precision of the alarmed region but can cause problems if wholescale lighting changes cause alarms as this would not get fed back into the image and an alarm may persist indefinately. A better way to achive the same effect in most cases is to lower substantially the reference blend persentage in specific monitors.', Category = 'config', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '20' , Name = 'ZM_NO_MAX_FPS_ON_ALARM', Value = '1', Type = 'boolean', DefaultValue = 'yes', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Should any Maximum FPS be ignored if an alarm occurs', Help = 'When configuring monitors you can optionally specify a maximum setting for the capture rate rate in frames per second. This can used to limit your video or network bandwidth or reduce CPU load. This setting tells ZoneMinder to ignore these constraints if an alarm is detected an attempt to capture as fast as possible.', Category = 'config', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '21' , Name = 'ZM_OPT_ADAPTIVE_SKIP', Value = '1', Type = 'boolean', DefaultValue = 'yes', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Should frame analysis try and be efficient in skipping frames', Help = 'In previous versions of ZoneMinder the analysis daemon would attempt to keep up with the capture daemon by processing the last captured frame on each pass. This would sometimes have the undesirable side-effect of missing a chunk of the initial activity that caused the alarm because the pre-alarm frames would all have to be written to disk and the database before processing the next frame, leading to some delay between the first and second event frames. Setting this option enables a newer adaptive algorithm where the analysis daemon attempts to process as many captured frames as possible, only skipping frames when in danger of the capture daemon overwriting yet to be processed frames. This skip is variable depending on the size of the ring buffer and the amount of space left in it. Enabling this option will give you much better coverage of the beginning of alarms whilst biasing out any skipped frames towards the middle or end of the event. However you should be aware that this will have the effect of making the analysis daemon run somewhat behind the capture daemon during events and for particularly fast rates of capture it is possible for the adaptive algorithm to be overwhelmed and not have time to react to a rapid build up of pending frames and thus for a buffer overrun condition to occur.', Category = 'config', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '22' , Name = 'ZM_OPT_REMOTE_CAMERAS', Value = '1', Type = 'boolean', DefaultValue = 'no', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Are you going to use remote/networked cameras', Help = 'ZoneMinder can work with both local cameras, ie. those attached physically to your computer and remote or network cameras. If you will be using networked cameras select this option.', Category = 'network', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '23' , Name = 'ZM_NETCAM_REGEXPS', Value = '0', Type = 'boolean', DefaultValue = 'no', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Whether to use regular expression matching with network cameras', Help = 'Traditionally ZoneMinder has used complex regular regular expressions to handle the multitude of formats that network cameras produce. In versions from 1.21.1 the default is to use a simpler and faster built in pattern matching methodology. This works well with most networks cameras but if you have problems you can try the older, but more flexible, regular expression based method by selecting this option. Note, to use this method you must have libpcre installed on your system.', Category = 'network', Readonly =  '?1:0', Requires = 'ZM_OPT_REMOTE_CAMERAS=1' ; 
replace into Config set Id = '24' , Name = 'ZM_HTTP_VERSION', Value = '1.1', Type = 'string', DefaultValue = '1.1', Hint = '1.1|1.0', Pattern = '(?-xism:^(1\\.[01])$)', Format = ' $1?$1\"" ', Prompt = 'The version of HTTP that ZoneMinder will use to connect', Help = 'ZoneMinder can communicate using either of the HTTP/1.1 or HTTP/1.0 standard. A server will normally fall back to the version it supports iwht no problem so this should usually by left at the default. However it can be changed to HTTP/1.0 if necessary to resolve particular issues.', Category = 'network', Readonly =  '?1:0', Requires = 'ZM_OPT_REMOTE_CAMERAS=1' ; 
replace into Config set Id = '25' , Name = 'ZM_HTTP_UA', Value = 'ZoneMinder', Type = 'string', DefaultValue = 'ZoneMinder', Hint = 'string', Pattern = '(?-xism:^(.+)$)', Format = ' $1 ', Prompt = 'The user agent that ZoneMinder uses to identify itself', Help = 'When ZoneMinder communicates with remote cameras it will identify itself using this string and i\'s version number. This is normally sufficient, however if a particular cameras expects only to communicate with certain browsers then this can be changed to a different string identifying ZoneMinder as Internet Explorer or Netscape etc.', Category = 'network', Readonly =  '?1:0', Requires = 'ZM_OPT_REMOTE_CAMERAS=1' ; 
replace into Config set Id = '26' , Name = 'ZM_HTTP_TIMEOUT', Value = '2500', Type = 'integer', DefaultValue = '2500', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'How long ZoneMinder waits before giving up on images (milliseconds)', Help = 'When retrieving remote images ZoneMinder will wait for this length of time before deciding that an image is not going to arrive and taking steps to retry. This timeout is in milliseconds (1000 per second) and will apply to each part of an image if it is not sent in one whole chunk.', Category = 'network', Readonly =  '?1:0', Requires = 'ZM_OPT_REMOTE_CAMERAS=1' ; 
replace into Config set Id = '27' , Name = 'ZM_OPT_MPEG', Value = 'ffmpeg', Type = 'string', DefaultValue = 'no', Hint = 'no|mpeg_encode|ffmpeg', Pattern = '(?i-xsm:^([nmf]))', Format = ' $1 =~ /^n/ ?\'n\' : ( $1 =~ /^m/ ?\'mpeg_encod\' :\'ffmpe\') ', Prompt = 'Is there an (optional) mpeg video encoder installed', Help = 'ZoneMinder can optionally encode a series of video images into an MPEG encoded file. This option allows you to specifiy whether you have an mpeg encoder installed and if so which one. The two that ZoneMinder supports are mpeg_encode and ffmpeg, of which the latter is by far the fastest. However creating MPEG files can be fairly CPU and disk intensive and is not required as events can still be reviewed as video stream without it.', Category = 'tools', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '28' , Name = 'ZM_PATH_MPEG_ENCODE', Value = '/usr/bin/mpeg_encode', Type = 'string', DefaultValue = '/usr/local/bin/mpeg_encode', Hint = '/absolute/path/to/somewhere', Pattern = '(?-xism:^((?:/[^/]*)+?)/?$)', Format = ' $1 ', Prompt = 'Path to (optional) Berkeley mpeg encoder', Help = 'This path should point to where the Berkeley mpeg_encode program has been installed.', Category = 'tools', Readonly =  '?1:0', Requires = 'ZM_OPT_MPEG=mpeg_encode' ; 
replace into Config set Id = '29' , Name = 'ZM_PATH_FFMPEG', Value = '/usr/bin/ffmpeg', Type = 'string', DefaultValue = '/usr/local/bin/ffmpeg', Hint = '/absolute/path/to/somewhere', Pattern = '(?-xism:^((?:/[^/]*)+?)/?$)', Format = ' $1 ', Prompt = 'Path to (optional) ffmpeg mpeg encoder', Help = 'This path should point to where the ffmpeg has been installed.', Category = 'tools', Readonly =  '?1:0', Requires = 'ZM_OPT_MPEG=ffmpeg' ; 
replace into Config set Id = '30' , Name = 'ZM_FFMPEG_OPTIONS', Value = '-hq -intra', Type = 'string', DefaultValue = '-hq -intra', Hint = 'string', Pattern = '(?-xism:^(.+)$)', Format = ' $1 ', Prompt = 'Additional options to ffmpeg', Help = 'Ffmpeg can take many options on the command line to control the quality of video produced. This option allows you to specify your own set. Check the ffmpeg documentation for the meaning of these and other options.', Category = 'tools', Readonly =  '?1:0', Requires = 'ZM_OPT_MPEG=ffmpeg' ; 
replace into Config set Id = '31' , Name = 'ZM_OPT_NETPBM', Value = '1', Type = 'boolean', DefaultValue = 'no', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Are the (optional) Netpbm utilities installed', Help = 'For low bandwidth situations ZoneMinder will resize images into thumbnails on the fly before sending them to the browser to reduce the network traffic at the expense of CPU on the server. It uses the Netpbm package to do this and this option should be set to where the binaries from that package are installed. If you do not have it installed it means that the images will always be sent full size and rescaled on your browser which may or not be an issue for you.', Category = 'tools', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '32' , Name = 'ZM_PATH_NETPBM', Value = '/usr/bin', Type = 'string', DefaultValue = '/usr/bin', Hint = '/absolute/path/to/somewhere', Pattern = '(?-xism:^((?:/[^/]*)+?)/?$)', Format = ' $1 ', Prompt = 'Path to (optional) Netpbm utilities', Help = 'For low bandwidth situations ZoneMinder will resize images into thumbnails on the fly before sending them to the browser to reduce the network traffic at the expense of CPU on the server. It uses the Netpbm package to do this and this option should be set to where the binaries from that package are installed. If you do not have it installed it means that the images will always be sent full size and rescaled on your browser which may or not be an issue for you.', Category = 'tools', Readonly =  '?1:0', Requires = 'ZM_OPT_NETPBM=1' ; 
replace into Config set Id = '33' , Name = 'ZM_OPT_TRIGGERS', Value = '0', Type = 'boolean', DefaultValue = 'no', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Whether we want to interface external event triggers via socket or device files', Help = 'ZoneMinder can interact with external systems which prompt or cancel alarms. This is done via the zmtrigger.pl script. This option indicates whether you want to use these external triggers, most people will say no here.', Category = 'tools', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '34' , Name = 'ZM_PATH_SOCKS', Value = '/var/lib/zm', Type = 'string', DefaultValue = '/tmp', Hint = '/absolute/path/to/somewhere', Pattern = '(?-xism:^((?:/[^/]*)+?)/?$)', Format = ' $1 ', Prompt = 'Path to the various Unix domain socket files that ZoneMinder uses', Help = 'ZoneMinder generally uses Unix domain sockets where possible. This reduces the need for port assignments and prevents external applications from possibly compromising the daemons. However each Unix socket requires a .sock file to be created. This option where those socket files go.', Category = 'paths', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '35' , Name = 'ZM_PATH_LOGS', Value = '/var/log/zm', Type = 'string', DefaultValue = '/tmp', Hint = '/absolute/path/to/somewhere', Pattern = '(?-xism:^((?:/[^/]*)+?)/?$)', Format = ' $1 ', Prompt = 'Path to the various logs that the ZoneMinder daemons generate', Help = 'There are various daemons that are used by ZoneMinder to perform various tasks. Most generate helpful log files and this is where they go. They can be deleted if not required for debugging.', Category = 'paths', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '36' , Name = 'ZM_VIDEO_STREAM_METHOD', Value = 'mpeg', Type = 'string', DefaultValue = 'jpeg', Hint = 'mpeg|jpeg', Pattern = '(?i-xsm:^([mj]))', Format = ' $1 =~ /^m/ ?\'mpe\' :\'jpe\' ', Prompt = 'Which method should be used to send video streams to your browser, choose\'mpe\' or\'jpe\'', Help = 'ZoneMinder can be configured to use either mpeg encoded video or a series or still jpeg images when sending video streams. This option defines which is used. If you choose mpeg you should ensure that you have the appropriate plugins available on your browser whereas choosing jpeg will work natively on Mozilla and related browsers and with a Java applet on Internet Explorer', Category = 'video', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '37' , Name = 'ZM_VIDEO_TIMED_FRAMES', Value = '1', Type = 'boolean', DefaultValue = 'yes', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Whether video frames are sent tagged with a timestamp for more realistic streaming', Help = 'When using streamed MPEG based video, either for live monitor streams or events, ZoneMinder can send the streams in two ways. If this option is selected then the timestamp for each frame, taken from i\'s capture time, is included in the stream. This means that where the frame rate varies, for instance around an alarm, the stream will still maintain i\'s\'rea\' timing. If this option is not selected then an approximate frame rate is calculated and that is used to schedule frames instead. This option should be selected unless you encounter problems with your preferred streaming method.', Category = 'video', Readonly =  '?1:0', Requires = 'ZM_VIDEO_STREAM_METHOD=mpeg' ; 
replace into Config set Id = '38' , Name = 'ZM_VIDEO_LIVE_FORMAT', Value = 'asf', Type = 'string', DefaultValue = 'asf', Hint = 'string', Pattern = '(?-xism:^(.+)$)', Format = ' $1 ', Prompt = 'What format\'liv\' video streams are played in', Help = 'When using MPEG mode ZoneMinder can output live video. However what formats are handled by the browser varies greatly between machines. This option allows you to specify a video format using a file extension format, so you would just enter the extension of the file type you would like and the rest is determined from that. The default of\'as\' works well under Windows with Windows Media Player but \'m currently not sure what, if anything, works on a Linux platform. If you find out please let me know! If this option is left blank then live streams will revert to being in motion jpeg format', Category = 'video', Readonly =  '?1:0', Requires = 'ZM_VIDEO_STREAM_METHOD=mpeg' ; 
replace into Config set Id = '39' , Name = 'ZM_VIDEO_REPLAY_FORMAT', Value = 'asf', Type = 'string', DefaultValue = 'asf', Hint = 'string', Pattern = '(?-xism:^(.+)$)', Format = ' $1 ', Prompt = 'What format\'repla\' video streams are played in', Help = 'When using MPEG mode ZoneMinder can replay events in encoded video format. However what formats are handled by the browser varies greatly between machines. This option allows you to specify a video format using a file extension format, so you would just enter the extension of the file type you would like and the rest is determined from that. The default of\'as\' works well under Windows with Windows Media Player and\'mp\', or\'av\' etc should work under Linux. If you knwo any more then please let me know! If this option is left blank then live streams will revert to being in motion jpeg format', Category = 'video', Readonly =  '?1:0', Requires = 'ZM_VIDEO_STREAM_METHOD=mpeg' ; 
replace into Config set Id = '40' , Name = 'ZM_WEB_TITLE_PREFIX', Value = 'ZM', Type = 'string', DefaultValue = 'ZM', Hint = 'string', Pattern = '(?-xism:^(.+)$)', Format = ' $1 ', Prompt = 'The title prefix displayed on each window', Help = 'If you have more than one installation of ZoneMinder it can be helpful to display different titles for each one. Changing this option allows you to customise the window titles to include further information to aid identification.', Category = 'web', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '41' , Name = 'ZM_WEB_RESIZE_CONSOLE', Value = '1', Type = 'boolean', DefaultValue = 'yes', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Should the console window resize itself to fit', Help = 'Traditionally the main ZoneMinder web console window has resized itself to shrink to a size small enough to list only the monitors that are actually present. This is intended to make the window more unobtrusize but may not be to everyones tastes, especially if opened in a tab in browsers which support this kind if layout. Switch this option off to have the console window size left to the users preference', Category = 'web', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '42' , Name = 'ZM_WEB_POPUP_ON_ALARM', Value = '1', Type = 'boolean', DefaultValue = 'yes', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Should the monitor window jump to the top if an alarm occurs', Help = 'When viewing a live monitor stream you can specify whether you want the window to pop to the front if an alarm occurs when the window is minimised or behind another window. This is most useful if your monitors are over doors for example when they can pop up if someone comes to the doorway.', Category = 'web', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '43' , Name = 'ZM_OPT_X10', Value = '0', Type = 'boolean', DefaultValue = 'no', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Whether we want to interface with X10 devices', Help = 'If you have an X10 Home Automation setup in your home you can use ZoneMinder to initiate or react to X10 signals if your computer has the appropriate interface controller. This option indicates whether X10 options will be available in the browser client.', Category = 'x10', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '44' , Name = 'ZM_X10_DEVICE', Value = '/dev/ttyS0', Type = 'string', DefaultValue = '/dev/ttyS0', Hint = '/absolute/path/to/somewhere', Pattern = '(?-xism:^((?:/[^/]*)+?)/?$)', Format = ' $1 ', Prompt = 'What device is your X10 controller connected on', Help = 'If you have an X10 controller device (e.g. XM10U) connected to your computer this option details which port it is conected on, the default of /dev/ttyS0 maps to serial or com port 1.', Category = 'x10', Readonly =  '?1:0', Requires = 'ZM_OPT_X10=1' ; 
replace into Config set Id = '45' , Name = 'ZM_X10_HOUSE_CODE', Value = 'A', Type = 'string', DefaultValue = 'A', Hint = 'A-P', Pattern = '(?i-xsm:^([A-P]))', Format = ' uc($1) ', Prompt = 'What X10 house code should be used', Help = 'X10 devices are grouped together by identifying them as all belonging to one House Code. This option details what that is. It should be a single letter between A and P.', Category = 'x10', Readonly =  '?1:0', Requires = 'ZM_OPT_X10=1' ; 
replace into Config set Id = '46' , Name = 'ZM_X10_DB_RELOAD_INTERVAL', Value = '60', Type = 'integer', DefaultValue = '60', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'How often (in seconds) the X10 daemon reloads the monitors from the database', Help = 'The zmx10 daemon periodically checks the database to find out what X10 events trigger, or result from, alarms. This option determines how frequently this check occurs, unless you change this area frequently this can be a fairly large value.', Category = 'x10', Readonly =  '?1:0', Requires = 'ZM_OPT_X10=1' ; 
replace into Config set Id = '47' , Name = 'ZM_WEB_SOUND_ON_ALARM', Value = '0', Type = 'boolean', DefaultValue = 'no', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Should the monitor window play a sound if an alarm occurs', Help = 'When viewing a live monitor stream you can specify whether you want the window to play a sound to alert you if an alarm occurs.', Category = 'web', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '48' , Name = 'ZM_WEB_ALARM_SOUND', Value = '', Type = 'string', DefaultValue = '', Hint = 'filename', Pattern = '(?-xism:^([a-zA-Z0-9-_.]+)$)', Format = ' $1 ', Prompt = 'The sound to play on alarm, put this in the sounds directory', Help = 'You can specify a sound file to play if an alarm occurs whilst you are watching a live monitor stream. So long as your browser understands the format it does not need to be any particular type. This file should be placed in the sounds directory defined earlier.', Category = 'web', Readonly =  '?1:0', Requires = 'ZM_WEB_SOUND_ON_ALARM=1' ; 
replace into Config set Id = '49' , Name = 'ZM_WEB_COMPACT_MONTAGE', Value = '0', Type = 'boolean', DefaultValue = 'no', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Whether to compact the montage view by removing extra detail', Help = 'The montage view shows the output of all of your active monitors in one window. This include a small menu and status information for each one. This can increase the web traffic and make the window larger than may be desired. Setting this option on removes all this extraneous information and just displays the images.', Category = 'web', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '50' , Name = 'ZM_WEB_MONTAGE_MAX_COLS', Value = '2', Type = 'integer', DefaultValue = '2', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'The maximum number of monitor columns in the montage view', Help = 'The\'montag\' view shows images from all your monitors at once. This parameter defines how many monitors to place across your screen before moving to the next row. If you have a very wide screen and/or small images from your cameras this can be a bigger value however if not, of if you prefer the images stacked vertically it should be small.', Category = 'web', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '51' , Name = 'ZM_WEB_MONTAGE_WIDTH', Value = '0', Type = 'integer', DefaultValue = '0', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'What width should each monitor in the montage view be', Help = 'In the montage view it is possible to view all of your monitors at once. If they are all different sizes this can be fairly untidy. Setting this option allows you to constrain the width of each of the monitor views to a fixed value to make the window tidier overall. Leaving it at the default of zero lets each monitor be displayed at i\'s normal native size.', Category = 'web', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '52' , Name = 'ZM_WEB_MONTAGE_HEIGHT', Value = '0', Type = 'integer', DefaultValue = '0', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'What height should each monitor in the montage view be', Help = 'In the montage view it is possible to view all of your monitors at once. If they are all different sizes this can be fairly untidy. Setting this option allows you to constrain the height of each of the monitor views to a fixed value to make the window tidier overall. Leaving it at the default of zero lets each monitor be displayed at i\'s normal native size.', Category = 'web', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '53' , Name = 'ZM_OPT_FAST_DELETE', Value = '1', Type = 'boolean', DefaultValue = 'yes', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'When deleting events should the client only delete the database records for speed', Help = 'Normally an event created as the result of an alarm consists of entries in one or more database tables plus the various files associated with it. When deleting events in the browser it can take a long time to remove all of this if your are trying to do a lot of events at once. It is recommended that you set this option which means that the browser client only deletes the key entries in the events table, which means the events will no longer appear in listing, and leaves the zmaudit daemon to clear up the rest later.', Category = 'system', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '54' , Name = 'ZM_STRICT_VIDEO_CONFIG', Value = '1', Type = 'boolean', DefaultValue = 'yes', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Whether to allow errors in setting video config to be fatal', Help = 'With some video devices errors can be reported in setting the various video attributes when in fact the operation was successful. Switching this option off will still allow these errors to be reported but will not cause them to kill the video capture daemon. Note however that doing this will cause all errors to be ignored including those which are genuine and which may cause the video capture to not function correctly. Use this option with caution.', Category = 'config', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '55' , Name = 'ZM_CAPTURES_PER_FRAME', Value = '1', Type = 'integer', DefaultValue = '1', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'How many images are captured per returned frame, for shared local cameras', Help = 'If you are using cameras attached to a video capture card which forces multiple inputs to share one capture chip, it can sometimes produce images with interlaced frames reversed resulting in poor image quality and a distinctive comb edge appearance. Increasing this setting allows you to force additional image captures before one is selected as the captured frame. This allows the capture hardware to\'settle dow\' and produce better quality images at the price of lesser capture rates. This option has no effect on (a) network cameras, or (b) where multiple inputs do not share a capture chip', Category = 'config', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '56' , Name = 'ZM_SHM_KEY', Value = '0x7a6d2000', Type = 'hexadecimal', DefaultValue = '0x7a6d2000', Hint = 'hexadecimal', Pattern = '(?-xism:^(?:0x)?([0-9a-f]{1,8})$)', Format = '\'0\'.$1 ', Prompt = 'Shared memory key to use, only change if it clashes with another application', Help = 'ZoneMinder uses shared memory to speed up communication between modules. To identify the right area to use shared memory keys are used. This option controls what the base key is, each monitor will have i\'s Id o\'ed with this to get the actual key used.', Category = 'system', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '57' , Name = 'ZM_FILTER_RELOAD_DELAY', Value = '300', Type = 'integer', DefaultValue = '300', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'How often (in seconds) filters are reloaded in zmfilter.pl', Help = 'ZoneMinder allows you to save filters to the database which allow events that match certain criteria to be deleted or uploaded to a remote machine. The zmfilter daemon loads these and does the deleting or uploading. This option determine how often the filters are reloaded to get the latest versions of the filters. If you do\'t change filters very often this can be quite large.', Category = 'system', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '58' , Name = 'ZM_OPT_UPLOAD', Value = '0', Type = 'boolean', DefaultValue = 'no', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Should ZoneMinder try and upload events that match corresponding filters', Help = 'In ZoneMinder you can create event filters that specify whether events that match certain criteria should be uploaded to a remote server for archiving. This option specifies whether this functionality should be available', Category = 'ftp', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '59' , Name = 'ZM_UPLOAD_ARCH_FORMAT', Value = 'tar', Type = 'string', DefaultValue = 'tar', Hint = 'tar|zip', Pattern = '(?i-xsm:^([tz]))', Format = ' $1 =~ /^t/ ?\'ta\' :\'zi\' ', Prompt = 'What format the uploaded events should be created in. This can be\'ta\' or\'zi\'', Help = 'Uploaded events may be stored in either .tar or .zip format, this option specifies which. Note that to use this you will need to have the Archive::Tar and/or Archive::Zip perl modules installed.', Category = 'ftp', Readonly =  '?1:0', Requires = 'ZM_OPT_UPLOAD=1' ; 
replace into Config set Id = '60' , Name = 'ZM_UPLOAD_ARCH_COMPRESS', Value = '0', Type = 'boolean', DefaultValue = 'no', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Should archive files be compressed', Help = 'When the archive files are created they can be compressed. However in general since the images are compressed already this saves only a minimal amount of space versus utilising more CPU in their creation. Only enable if you have CPU to waste and are limited in disk space on your remote server or bandwidth', Category = 'ftp', Readonly =  '?1:0', Requires = 'ZM_OPT_UPLOAD=1' ; 
replace into Config set Id = '61' , Name = 'ZM_UPLOAD_ARCH_ANALYSE', Value = '0', Type = 'boolean', DefaultValue = 'no', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Whether to include the analysis files in the archive, bigger but slower', Help = 'When the archive files are created they can contain either just the captured frames or both the captured frames and for frames that caused an alarm the analysed image with the changed area highlighted. This option controls which to do. Only included analysed frames if you have a high bandwidth connection to the remote server or if you need help in figuring out what caused an alarm in the first place', Category = 'ftp', Readonly =  '?1:0', Requires = 'ZM_OPT_UPLOAD=1' ; 
replace into Config set Id = '62' , Name = 'ZM_UPLOAD_FTP_HOST', Value = '', Type = 'string', DefaultValue = '', Hint = 'host.your.domain', Pattern = '(?-xism:^([a-zA-Z0-9_.-]+)$)', Format = ' $1 ', Prompt = 'The remote server to upload to', Help = 'This is the remote machine that you wish to upload archived events to.', Category = 'ftp', Readonly =  '?1:0', Requires = 'ZM_OPT_UPLOAD=1' ; 
replace into Config set Id = '63' , Name = 'ZM_UPLOAD_FTP_USER', Value = '', Type = 'string', DefaultValue = '', Hint = 'alphanumeric', Pattern = '(?-xism:^([a-zA-Z0-9-_]+)$)', Format = ' $1 ', Prompt = 'Your ftp username', Help = '', Category = 'ftp', Readonly =  '?1:0', Requires = 'ZM_OPT_UPLOAD=1' ; 
replace into Config set Id = '64' , Name = 'ZM_UPLOAD_FTP_PASS', Value = '', Type = 'string', DefaultValue = '', Hint = 'string', Pattern = '(?-xism:^(.+)$)', Format = ' $1 ', Prompt = 'Your ftp password', Help = '', Category = 'ftp', Readonly =  '?1:0', Requires = 'ZM_OPT_UPLOAD=1' ; 
replace into Config set Id = '65' , Name = 'ZM_UPLOAD_FTP_LOC_DIR', Value = '/tmp', Type = 'string', DefaultValue = '/tmp', Hint = '/absolute/path/to/somewhere', Pattern = '(?-xism:^((?:/[^/]*)+?)/?$)', Format = ' $1 ', Prompt = 'The local directory in which to create upload files', Help = '', Category = 'ftp', Readonly =  '?1:0', Requires = 'ZM_OPT_UPLOAD=1' ; 
replace into Config set Id = '66' , Name = 'ZM_UPLOAD_FTP_REM_DIR', Value = '', Type = 'string', DefaultValue = '', Hint = 'relative/path/to/somewhere', Pattern = '(?-xism:^((?:[^/].*)?)/?$)', Format = ' $1 ', Prompt = 'The remote directory to upload to', Help = '', Category = 'ftp', Readonly =  '?1:0', Requires = 'ZM_OPT_UPLOAD=1' ; 
replace into Config set Id = '67' , Name = 'ZM_UPLOAD_FTP_TIMEOUT', Value = '120', Type = 'integer', DefaultValue = '120', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'How long (in seconds) we allow the transfer to take for each file', Help = '', Category = 'ftp', Readonly =  '?1:0', Requires = 'ZM_OPT_UPLOAD=1' ; 
replace into Config set Id = '68' , Name = 'ZM_UPLOAD_FTP_PASSIVE', Value = '1', Type = 'boolean', DefaultValue = 'yes', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Whether to use passive ftp', Help = 'If your computer is behind a firewall or proxy you may need to set FTP to passive mode. In fact for simple transfers it makes little sense to do otherwise anyway but you can set this to\'N\' if you wish.', Category = 'ftp', Readonly =  '?1:0', Requires = 'ZM_OPT_UPLOAD=1' ; 
replace into Config set Id = '69' , Name = 'ZM_UPLOAD_FTP_DEBUG', Value = '1', Type = 'boolean', DefaultValue = 'yes', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Whether to switch ftp debugging on', Help = 'If you are having (or expecting) troubles with uploading archived events then setting this to\'ye\' permits additional information to be included in the zmfilter log file.', Category = 'ftp', Readonly =  '?1:0', Requires = 'ZM_OPT_UPLOAD=1' ; 
replace into Config set Id = '70' , Name = 'ZM_OPT_EMAIL', Value = '0', Type = 'boolean', DefaultValue = 'no', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Should ZoneMinder email you details of events that match corresponding filters', Help = 'In ZoneMinder you can create event filters that specify whether events that match certain criteria should have their details emailed to you at a designated email address. This will allow you to be notified of events as soon as they occur and also to quickly view the events directly. This option specifies whether this functionality should be available. The email created with this option can be any size and is intended to be sent to a regular email reader rather than a mobile device.', Category = 'mail', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '71' , Name = 'ZM_EMAIL_ADDRESS', Value = '', Type = 'string', DefaultValue = '', Hint = 'your.name@your.domain', Pattern = '(?-xism:^([a-zA-Z0-9_.-]+)\\@([a-zA-Z0-9_.-]+)$)', Format = ' $1\\@$\" ', Prompt = 'The email address to send matching event details to', Help = 'This option is used to define the email address that any events that match the appropriate filters will be sent to.', Category = 'mail', Readonly =  '?1:0', Requires = 'ZM_OPT_EMAIL=1' ; 
replace into Config set Id = '72' , Name = 'ZM_EMAIL_TEXT', Value = '#
# This is the configuration file for notification emails
#
# The tags you can use in here are as follows
# %ZP% - The path to your ZoneMinder console
# %MN% - The name of the monitor
# %MET% - The total number of events for the monitor
# %MEH% - The number of events for the monitor in the last hour
# %MED% - The number of events for the monitor in the last day
# %MEW% - The number of events for the monitor in the last week
# %MEM% - The number of events for the monitor in the last month
# %MEA% - The number of archived events for the monitor
# %MP% - The path to the monitor window
# %MPS% - The path to the monitor stream
# %MPI% - The path to the monitor recent image
# %EP% - The path to the event
# %EPS% - The path to the event stream
# %EPI% - The path to the event images
# %EPI1% - The path to the first alarmed event image
# %EPIM% - The path to the (first) event image with the highest score
# %EI1% - Attach first alarmed event image
# %EIM% - Attach (first) event image with the highest score
# %EV% - Attach event mpeg video
# %EI% - The id of the event
# %EN% - The name of the event
# %ET% - The time of the event
# %ED% - The duration of the event
# %EF% - The number of frames in the event
# %EFA% - The number of alarm frames in the event
# %EST% - The total score of the event
# %ESA% - The average score of the event
# %ESM% - The maximum score of the event
# %FN% - The name of the current filter that matched
# %FP% - The path to the current filter that matched

# Change these to suit your own preferences
subject =\"ZoneMinder: Alarm - %MN%-%EI% (%ESM% - %ESA% %EFA%\"
body =\"
Hello,

An alarm has been detected on your installation of the ZoneMinder.

The details are as follows :-

  Monitor  : %MN%
  Event Id : %EI%
  Duration : %ED%
  Frames   : %EF% (%EFA%)
  Scores   : t%EST% m%ESM% a%ESA%

This alarm was matched by the %FN% filter and can be viewed at %EPS%

	# %ZP% - The path to your ZoneMinder console
	# %MN% - The name of the monitor
	# %MET% - The total number of events for the monitor
	# %MEH% - The number of events for the monitor in the last hour
	# %MED% - The number of events for the monitor in the last day
	# %MEW% - The number of events for the monitor in the last week
	# %MEM% - The number of events for the monitor in the last month
	# %MEA% - The number of archived events for the monitor
	# %MP% - The path to the monitor window
	# %MPS% - The path to the monitor stream
	# %MPI% - The path to the monitor recent image
	# %EP% - The path to the event
	# %EPS% - The path to the event stream
	# %EPI% - The path to the event images
	# %EPI1% - The path to the first alarmed event image
	# %EPIM% - The path to the (first) event image with the highest score
	# %EI1% - Attach first alarmed event image
	# %EIM% - Attach (first) event image with the highest score
	# %EV% - Attach event mpeg video
	# %EI% - The id of the event
	# %EN% - The name of the event
	# %ET% - The time of the event
	# %ED% - The duration of the event
	# %EF% - The number of frames in the event
	# %EFA% - The number of alarm frames in the event
	# %EST% - The total score of the event
	# %ESA% - The average score of the event
	# %ESM% - The maximum score of the event
	# %FN% - The name of the current filter that matched
	# %FP% - The path to the current filter that matched

ZoneMinder\"
', Type = 'text', DefaultValue = '', Hint = 'free text', Pattern = '(?-xism:^(.+)$)', Format = ' $1 ', Prompt = 'The text of the email used to send matching event details', Help = 'This option is used to define the content of the email that is sent for any events that match the appropriate filters.', Category = 'mail', Readonly =  '1?1:0', Requires = 'ZM_OPT_EMAIL=1' ; 
replace into Config set Id = '73' , Name = 'ZM_OPT_MESSAGE', Value = '0', Type = 'boolean', DefaultValue = 'no', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Should ZoneMinder message you with details of events that match corresponding filters', Help = 'In ZoneMinder you can create event filters that specify whether events that match certain criteria should have their details sent to you at a designated short message email address. This will allow you to be notified of events as soon as they occur. This option specifies whether this functionality should be available. The email created by this option will be brief and is intended to be sent to an SMS gateway or a minimal mail reader such as a mobile device or phone rather than a regular email reader.', Category = 'mail', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '74' , Name = 'ZM_MESSAGE_ADDRESS', Value = '', Type = 'string', DefaultValue = '', Hint = 'your.name@your.domain', Pattern = '(?-xism:^([a-zA-Z0-9_.-]+)\\@([a-zA-Z0-9_.-]+)$)', Format = ' $1\\@$\" ', Prompt = 'The email address to send matching event details to', Help = 'This option is used to define the short message email address that any events that match the appropriate filters will be sent to.', Category = 'mail', Readonly =  '?1:0', Requires = 'ZM_OPT_MESSAGE=1' ; 
replace into Config set Id = '75' , Name = 'ZM_MESSAGE_TEXT', Value = '# 
# This is the configuration file for notification messages
# 
# The tags you can use in here are as follows
# The path tags however may be over long for a message
# destined for an SMS and will in any case probably not
# direct you to a WAP compatible page (yet).
# %ZP% - The path to your ZoneMinder console
# %MN% - The name of the monitor
# %MET% - The total number of events for the monitor
# %MEH% - The number of events for the monitor in the last hour
# %MED% - The number of events for the monitor in the last day
# %MEW% - The number of events for the monitor in the last week
# %MEM% - The number of events for the monitor in the last month
# %MEA% - The number of archived events for the monitor
# %MP% - The path to the monitor window
# %MPS% - The path to the monitor stream
# %MPI% - The path to the monitor recent image
# %EP% - The path to the event
# %EPS% - The path to the event stream
# %EPI% - The path to the event images
# %EPI1% - The path to the first alarmed event image
# %EPIM% - The path to the (first) event image with the highest score
# %EI1% - Attach first alarmed event image
# %EIM% - Attach (first) event image with the highest score
# %EV% - Attach event mpeg video
# %EI% - The id of the event
# %EN% - The name of the event
# %ET% - The time of the event
# %ED% - The duration of the event
# %EF% - The number of frames in the event
# %EFA% - The number of alarm frames in the event
# %EST% - The total score of the event
# %ESA% - The average score of the event
# %ESM% - The maximum score of the event
# %FN% - The name of the current filter that matched
# %FP% - The path to the current filter that matched

# Change these to suit your own preferences
subject =\"ZoneMinder: Alarm - %MN%-%EI\"
body =\"ZM alarm detected - %ED% secs, %EF%/%EFA% frames, t%EST%/m%ESM%/a%ESA% score\"
', Type = 'text', DefaultValue = '', Hint = 'free text', Pattern = '(?-xism:^(.+)$)', Format = ' $1 ', Prompt = 'The text of the message used to send matching event details', Help = 'This option is used to define the content of the message that is sent for any events that match the appropriate filters.', Category = 'mail', Readonly =  '1?1:0', Requires = 'ZM_OPT_MESSAGE=1' ; 
replace into Config set Id = '76' , Name = 'ZM_NEW_MAIL_MODULES', Value = '0', Type = 'boolean', DefaultValue = 'no', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Whether to use a newer perl method to send emails', Help = 'Traditionally ZoneMinder has used the MIME::Entity perl module to construct and send notification emails and messages. Some people have reported problems with this module not being present at all or flexible enough for their needs. If you are one of those people this option allows you to select a new mailing method using MIME::Lite and Net::SMTP instead. This method was contributed by Ross Melin and should work for everyone but has not been extensively tested so currently is not selected by default.', Category = 'mail', Readonly =  '?1:0', Requires = 'ZM_OPT_EMAIL=1;ZM_OPT_MESSAGE=1' ; 
replace into Config set Id = '77' , Name = 'ZM_EMAIL_HOST', Value = 'localhost', Type = 'string', DefaultValue = 'localhost', Hint = 'host.your.domain', Pattern = '(?-xism:^([a-zA-Z0-9_.-]+)$)', Format = ' $1 ', Prompt = 'The host address of your SMTP mail server', Help = 'If you have chosen SMTP as the method by which to send notification emails or messages then this option allows you to choose which SMTP server to use to send them. The default of localhost may work if you have the sendmail, exim or a similar daemon running however you may wish to enter your IS\'s SMTP mail server here.', Category = 'mail', Readonly =  '?1:0', Requires = 'ZM_OPT_EMAIL=1;ZM_OPT_MESSAGE=1' ; 
replace into Config set Id = '78' , Name = 'ZM_FROM_EMAIL', Value = '', Type = 'string', DefaultValue = '', Hint = 'your.name@your.domain', Pattern = '(?-xism:^([a-zA-Z0-9_.-]+)\\@([a-zA-Z0-9_.-]+)$)', Format = ' $1\\@$\" ', Prompt = 'The email address you wish your event notifications to originate from', Help = 'The emails or messages that will be sent to you informing you of events can appear to come from a designated email address to help you with mail filtering etc. An address of something like ZoneMinder@your.domain is recommended.', Category = 'mail', Readonly =  '?1:0', Requires = 'ZM_OPT_EMAIL=1;ZM_OPT_MESSAGE=1' ; 
replace into Config set Id = '79' , Name = 'ZM_URL', Value = '', Type = 'string', DefaultValue = '', Hint = 'http://host.your.domain/', Pattern = '(?-xism:^(?:http://)?(.+)$)', Format = '\'http:/\'.$1 ', Prompt = 'The URL of your ZoneMinder installation', Help = 'The emails or messages that will be sent to you informing you of events can include a link to the events themselves for easy viewing. If you intend to use this feature then set this option to the url of your installation as it would appear from where you read your email, e.g. http://host.your.domain/zm.php.', Category = 'mail', Readonly =  '?1:0', Requires = 'ZM_OPT_EMAIL=1;ZM_OPT_MESSAGE=1' ; 
replace into Config set Id = '80' , Name = 'ZM_MAX_RESTART_DELAY', Value = '600', Type = 'integer', DefaultValue = '600', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'The maximum delay (in seconds) for daemon restart attempts.', Help = 'The zmdc (zm daemopn control) process controls when processeses are started or stopped and will attempt to restart any that fail. If a daemon fails frequently then a delay is introduced between each restart attempt. If the daemon stills fails then this delay is increased to prevent extra load being placed on the system by continual restarts. This option controls what this maximum delay is.', Category = 'system', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '81' , Name = 'ZM_WATCH_CHECK_INTERVAL', Value = '10', Type = 'integer', DefaultValue = '10', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'How often to check the capture daemons have not locked up', Help = 'The zmwatch daemon checks the image capture performance of the capture daemons to ensure that they have not locked up (rarely a sync error may occur which blocks indefinately). This option determines how often the daemons are checked.', Category = 'system', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '82' , Name = 'ZM_WATCH_MAX_DELAY', Value = '5', Type = 'decimal', DefaultValue = '5', Hint = 'decimal', Pattern = '(?-xism:^(\\d+(?:\\.\\d+)?)$)', Format = ' $1 ', Prompt = 'The maximum delay since the last captured image we will allow before restarting the capture daemons', Help = 'The zmwatch daemon checks the image capture performance of the capture daemons to ensure that they have not locked up (rarely a sync error may occur which blocks indefinately). This option determines the maximum delay we will allow since the last captured frame. The daemon will be restarted if it has not captured any images after this period though the actual restart may take slightly longer in conjunction with the check interval value above.', Category = 'system', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '83' , Name = 'ZM_FORCED_ALARM_SCORE', Value = '255', Type = 'integer', DefaultValue = '255', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'Score to give forced alarms', Help = 'The\'zm\' utility can be used to force an alarm on a monitor rather than rely on the motion detection algorithms. This option determines what score to give these alarms to distinguish them from regular ones. It must be 255 or less.', Category = 'config', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '84' , Name = 'ZM_BULK_FRAME_INTERVAL', Value = '100', Type = 'integer', DefaultValue = '100', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'How often a bulk frame should be written to the database', Help = 'Traditionally ZoneMinder writes an entry into the Frames database table for each frame that is captured and saved. This works well in motion detection scenarios but when in a DVR situation \'Recor\' or\'Mocor\' mode) this results in a huge number of frame writes and a lot of database and disk bandwidth for very little additional information. Setting this to a non-zero value will enabled ZoneMinder to group these non-alarm frames into one\'bul\' frame entry which saves a lot of bandwidth and space. The only disadvantage of this is that timing information for individual frames is lost but in constant frame rate situations this is usually not significant. This setting is ignored in Modect mode and individual frames are still written if an alarm occurs in Mocord mode also.', Category = 'config', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '85' , Name = 'ZM_EVENT_IMAGE_DIGITS', Value = '3', Type = 'integer', DefaultValue = '3', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'How many significant digits are used in event image numbering', Help = 'As event images are captured they are stored to the filesystem with a numerical index. By default this index has three digits so the numbers start 001, 002 etc. This works works for most scenarios as events with more than 999 frames are rarely captured. However if you have extremely long events and use external applications then you may wish to increase this to ensure correct sorting of images in listings etc. Warning, increasing this value on a live system may render existing events unviewable as the event will have been saved with the previous scheme. Decreasing this value should have no ill effects.', Category = 'config', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '86' , Name = 'ZM_RECORD_EVENT_STATS', Value = '1', Type = 'boolean', DefaultValue = 'yes', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Whether to record event statistical information, switch off if too slow', Help = 'This version of ZoneMinder records detailed information about events in the Stats table. This can help in profiling what the optimum settings are for Zones though this is tricky at present. However in future releases this will be done more easily and intuitively, especially with a large sample of events. The default option of\'ye\' allows this information to be collected now in readiness for this but if you are concerned about performance you can switch this off in which case no Stats information will be saved.', Category = 'system', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '87' , Name = 'ZM_RECORD_DIAG_IMAGES', Value = '0', Type = 'boolean', DefaultValue = 'no', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Whether to record intermediate alarm diagnostic images, can be very slow', Help = 'In addition to recording event statistics you can also record the intermediate diagnostic images that display the results of the various checks and processing that occur when trying to determine if an alarm event has taken place. There are several of these images generated for each frame and zone for each alarm or alert frame so this can have a massive impact on performance. Only switch this setting on for debug or analysis purposes and remember to switch it off again once no longer required.', Category = 'system', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '88' , Name = 'ZM_CREATE_ANALYSIS_IMAGES', Value = '1', Type = 'boolean', DefaultValue = 'yes', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Whether to create analysed alarm images with motion outlined', Help = 'By default during an alarm ZoneMinder records both the raw captured image and one that has been analysed and had areas where motion was detected outlined. This can be very useful during zone configuration or in analysing why events occured. However it also incurs some overhead and in a stable system may no longer be necessary. This parameter allows you to switch the generation of these images off.', Category = 'system', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '89' , Name = 'ZM_OPT_FRAME_SERVER', Value = '1', Type = 'boolean', DefaultValue = 'no', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Should analysis farm out the writing of images to disk', Help = 'In some circumstances it is possible for a slow disk to take so long writing images to disk that it causes the analysis daemon to fall behind especially during high frame rate events. Setting this option to yes enables a frame server daemon (zmf) which will be sent the images from the analysis daemon and will do the actual writing of images itself freeing up the analysis daemon to get on with other things. Should this transmission fail or other permanent or transient error occur, this function will fall back to the analysis daemon.', Category = 'system', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '90' , Name = 'ZM_FRAME_SOCKET_SIZE', Value = '0', Type = 'integer', DefaultValue = '0', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'Specify the size of the frame server socket buffer if non-standard', Help = 'For large captured images it is possible for the writes from the analysis daemon to the frame server to fail as the amount to be written exceeds the default buffer size. While the images are then written by the analysis daemon so no data is lost, it defeats the object of the frame server daemon in the first place. You can use this option to indicate that a larger buffer size should be used. Note that you may have to change the existing maximum socket buffer size on your system via sysctl (or in /proc/sys/net/core/wmem_max) to allow this new size to be set. Alternatively you can change the default buffer size on your system in the same way in which case that will be used with no change necessary in this option', Category = 'system', Readonly =  '?1:0', Requires = 'ZM_OPT_FRAME_SERVER=1' ; 
replace into Config set Id = '91' , Name = 'ZM_OPT_CONTROL', Value = '0', Type = 'boolean', DefaultValue = 'no', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Whether to support controllable (e.g. pan/tilt/zoom) cameras', Help = 'ZoneMinder includes limited support for controllable cameras. A number of sample protocols are included and others can easily be added. If you wish to control your cameras via ZoneMinder then select this option otherwise if you only have static cameras or use other control methods then leave this option off.', Category = 'system', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '92' , Name = 'ZM_CHECK_FOR_UPDATES', Value = '0', Type = 'boolean', DefaultValue = 'yes', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Whether to check with zoneminder.com for updated versions', Help = 'From ZoneMinder version 1.17.0 onwards new versions are expected to be more frequent. To save checking manually for each new version ZoneMinder can check with the zoneminder.com website to determine the most recent release. These checks are infrequent, about once per week, and no personal or system information is transmitted other than your current version number. If you do not wish these checks to take place or your ZoneMinder system has no internet access you can switch these check off with this configuration variable', Category = 'system', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '93' , Name = 'ZM_WEB_REFRESH_METHOD', Value = 'javascript', Type = 'string', DefaultValue = 'javascript', Hint = 'javascript|http', Pattern = '(?i-xsm:^([jh]))', Format = ' $1 =~ /^j/ ?\'javascrip\' :\'htt\' ', Prompt = 'What method windows should use to refresh themselves, choose either javascript or http', Help = 'Many windows in Javascript need to refresh themselves to keep their information current. This option determines what method they should use to do this. Choosing\'javascrip\' means that each window will have a short JavaScript statement in with a timer to prompt the refresh. This is the most compatible method. Choosing\'htt\' means the refresh instruction is put in the HTTP header. This is a cleaner method but refreshes are interrupted or cancelled when a link in the window is clicked meaning that the window will no longer refresh and this would have to be done manually.', Category = 'web', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '94' , Name = 'ZM_WEB_DOUBLE_BUFFER', Value = '1', Type = 'boolean', DefaultValue = 'yes', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Whether still images should be double buffered to avoid flickering', Help = 'From version 1.18.0 ZoneMinder can use a double buffering method to preload still image prior to displaying them on screen. This reduces flickering and makes viewing still images a more pleasant experience. However some devices may not support the JavaScript/frames combination needed to make this possible in which case this option should be switched off. As this option uses JavaScript it will only have an effect if the ZM_WEB_REFRESH_METHOD option is set to JavaScript also.', Category = 'web', Readonly =  '?1:0', Requires = 'ZM_WEB_REFRESH_METHOD=javascript' ; 
replace into Config set Id = '95' , Name = 'ZM_WEB_EVENTS_PER_PAGE', Value = '25', Type = 'integer', DefaultValue = '25', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'How many events to list per page in paged mode', Help = 'In the event list view you can either list all events or just a page at a time. This option controls how many events are listed per page in paged mode and how often to repeat the column headers in non-paged mode.', Category = 'web', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '96' , Name = 'ZM_WEB_FRAMES_PER_LINE', Value = '4', Type = 'integer', DefaultValue = '4', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'How many frames to list per line in the frame view', Help = 'In the event frame view you can view the individual frames that comprise an event. This option allows you to specify how many frames go on each line. The product of this option and the frame lines option are the number of frames per page', Category = 'web', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '97' , Name = 'ZM_WEB_FRAME_LINES', Value = '4', Type = 'integer', DefaultValue = '4', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'How many lines of frames to list in the frame view', Help = 'In the event frame view you can view the individual frames that comprise an event. This option allows you to specify how many lines of frames are shown per page. The product of this option and the frames per line option are the number of frames per page.', Category = 'web', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '98' , Name = 'ZM_WEB_LIST_THUMBS', Value = '1', Type = 'boolean', DefaultValue = 'no', Hint = 'yes|no', Pattern = '(?i-xsm:^([yn]))', Format = ' ($1 =~ /^y/) ?\'ye\' :\'n\' ', Prompt = 'Whether to display mini-thumbnails of event images in event lists', Help = 'Ordinarily the event lists just display text details of the events to save space and time. By switching this option on you can also display small thumbnails to help you identify events of interest. The size of these thumbnails is controlled by the following two options.', Category = 'web', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '99' , Name = 'ZM_WEB_LIST_THUMB_WIDTH', Value = '48', Type = 'integer', DefaultValue = '48', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'The width of the thumbnails that appear in the event lists', Help = 'This options controls the width of the thumbnail images that appear in the event lists. It should be fairly small to fit in with the rest of the table. If you prefer you can specify a height instead in the next option but you should only use one of the width or height and the other option should be set to zero. If both width and height are specified then width will be used and height ignored.', Category = 'web', Readonly =  '?1:0', Requires = 'ZM_WEB_LIST_THUMBS=1' ; 
replace into Config set Id = '100' , Name = 'ZM_WEB_LIST_THUMB_HEIGHT', Value = '0', Type = 'integer', DefaultValue = '0', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'The height of the thumbnails that appear in the event lists', Help = 'This options controls the height of the thumbnail images that appear in the event lists. It should be fairly small to fit in with the rest of the table. If you prefer you can specify a width instead in the previous option but you should only use one of the width or height and the other option should be set to zero. If both width and height are specified then width will be used and height ignored.', Category = 'web', Readonly =  '?1:0', Requires = 'ZM_WEB_LIST_THUMBS=1' ; 
replace into Config set Id = '101' , Name = 'ZM_WEB_H_REFRESH_MAIN', Value = '300', Type = 'integer', DefaultValue = '300', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'How often (in seconds) the main console window should refresh itself', Help = 'The main console window lists a general status and the event totals for all monitors. This is not a trivial task and should not be repeated too frequently or it may affect the performance of the rest of the system.', Category = 'highband', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '102' , Name = 'ZM_WEB_H_REFRESH_CYCLE', Value = '10', Type = 'integer', DefaultValue = '10', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'How often (in seconds) the cycle watch window swaps to the next monitor', Help = 'The cycle watch window is a method of continuously cycling between images from all of your monitors. This option determines how often to refresh with a new image.', Category = 'highband', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '103' , Name = 'ZM_WEB_H_REFRESH_IMAGE', Value = '5', Type = 'integer', DefaultValue = '5', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'How often (in seconds) the watched image is refreshed (if not streaming)', Help = 'The live images from a monitor can be viewed in either streamed or stills mode. This option determines how often a stills image is refreshed, it has no effect if streaming is selected.', Category = 'highband', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '104' , Name = 'ZM_WEB_H_REFRESH_STATUS', Value = '3', Type = 'integer', DefaultValue = '3', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'How often (in seconds) the status frame refreshes itself in the watch window', Help = 'The monitor window is actually made from several frames. The one in the middle merely contains a monitor status which needs to refresh fairly frequently to give a true indication. This option determines that frequency.', Category = 'highband', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '105' , Name = 'ZM_WEB_H_REFRESH_EVENTS', Value = '30', Type = 'integer', DefaultValue = '30', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'How often (in seconds) the event listing is refreshed in the watch window', Help = 'The monitor window is actually made from several frames. The lower framme contains a listing of the last few events for easy access. This option determines how often this is refreshed.', Category = 'highband', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '106' , Name = 'ZM_WEB_H_DEFAULT_SCALE', Value = '100', Type = 'integer', DefaultValue = '100', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'What the default scaling factor applied to\'liv\' or\'even\' views is (%)', Help = 'Normally ZoneMinder will display\'liv\' or\'even\' streams in their native size. However if you have monitors with large dimensions or a slow link you may prefer to reduce this size, alternatively for small monitors you can enlarge it. This options lets you specify what the default scaling factor will be. It is expressed as a percentage so 100 is normal size, 200 is double size etc.', Category = 'highband', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '107' , Name = 'ZM_WEB_H_DEFAULT_RATE', Value = '100', Type = 'integer', DefaultValue = '100', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'What the default replay rate factor applied to\'even\' views is (%)', Help = 'Normally ZoneMinder will display\'even\' streams at their native rate, i.e. as close to real-time as possible. However if you have long events it is often convenient to replay them at a faster rate for review. This option lets you specify what the default replay rate will be. It is expressed as a percentage so 100 is normal rate, 200 is double speed etc.', Category = 'highband', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '108' , Name = 'ZM_WEB_H_VIDEO_BITRATE', Value = '150000', Type = 'integer', DefaultValue = '150000', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'What the bitrate of the video encoded stream should be set to', Help = 'When encoding real video via the ffmpeg library a bit rate can be specified which roughly corresponds to the available bandwidth used for the stream. This setting effectively corresponds to a\'qualit\' setting for the video. A low value will result in a blocky image whereas a high value will produce a clearer view. Note that this setting does not control the frame rate of the video however the quality of the video produced is affected both by this setting and the frame rate that the video is produced at. A higher frame rate at a particular bit rate result in individual frames being at a lower quality.', Category = 'highband', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '109' , Name = 'ZM_WEB_H_VIDEO_MAXFPS', Value = '15', Type = 'integer', DefaultValue = '15', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'What the maximum frame rate for streamed video should be', Help = 'When using streamed video the main control is the bitrate which determines how much data can be transmitted. However a lower bitrate at high frame rates results in a lower quality image. This option allows you to limit the maximum frame rate to ensure that video quality is maintained. An additional advantage is that encoding video at high frame rates is a processor intensive task when for the most part a very high frame rate offers little perceptible improvement over one that has a more manageable resource requirement. Note, this option is implemented as a cap beyond which binary reduction takes place. So if you have a device capturing at 15fps and set this option to 10fps then the video is not produced at 10fps, but rather at 7.5fps (15 divided by 2) as the final frame rate must be the original divided by a power of 2.', Category = 'highband', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '110' , Name = 'ZM_WEB_H_IMAGE_SCALING', Value = '1', Type = 'integer', DefaultValue = '1', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'How to scale thumbnails in events, bandwidth versus cpu in rescaling', Help = 'A value of 1 sends the whole image to the browser which resizes it in the window, larger values scale down by that amount on the server before sending a reduced size image to the browser. For high bandwidth settings the default of 1 is usually the fastest and also does not result in extraneous thumbnail files being generated.', Category = 'highband', Readonly =  '?1:0', Requires = 'ZM_PATH_NETPBM=/' ; 
replace into Config set Id = '111' , Name = 'ZM_WEB_M_REFRESH_MAIN', Value = '300', Type = 'integer', DefaultValue = '300', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'How often (in seconds) the main console window should refresh itself', Help = 'The main console window lists a general status and the event totals for all monitors. This is not a trivial task and should not be repeated too frequently or it may affect the performance of the rest of the system.', Category = 'medband', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '112' , Name = 'ZM_WEB_M_REFRESH_CYCLE', Value = '20', Type = 'integer', DefaultValue = '20', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'How often (in seconds) the cycle watch window swaps to the next monitor', Help = 'The cycle watch window is a method of continuously cycling between images from all of your monitors. This option determines how often to refresh with a new image.', Category = 'medband', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '113' , Name = 'ZM_WEB_M_REFRESH_IMAGE', Value = '10', Type = 'integer', DefaultValue = '10', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'How often (in seconds) the watched image is refreshed (if not streaming)', Help = 'The live images from a monitor can be viewed in either streamed or stills mode. This option determines how often a stills image is refreshed, it has no effect if streaming is selected.', Category = 'medband', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '114' , Name = 'ZM_WEB_M_REFRESH_STATUS', Value = '5', Type = 'integer', DefaultValue = '5', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'How often (in seconds) the status frame refreshes itself in the watch window', Help = 'The monitor window is actually made from several frames. The one in the middle merely contains a monitor status which needs to refresh fairly frequently to give a true indication. This option determines that frequency.', Category = 'medband', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '115' , Name = 'ZM_WEB_M_REFRESH_EVENTS', Value = '60', Type = 'integer', DefaultValue = '60', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'How often (in seconds) the event listing is refreshed in the watch window', Help = 'The monitor window is actually made from several frames. The lower framme contains a listing of the last few events for easy access. This option determines how often this is refreshed.', Category = 'medband', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '116' , Name = 'ZM_WEB_M_DEFAULT_SCALE', Value = '100', Type = 'integer', DefaultValue = '100', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'What the default scaling factor applied to\'liv\' or\'even\' views is (%)', Help = 'Normally ZoneMinder will display\'liv\' or\'even\' streams in their native size. However if you have monitors with large dimensions or a slow link you may prefer to reduce this size, alternatively for small monitors you can enlarge it. This options lets you specify what the default scaling factor will be. It is expressed as a percentage so 100 is normal size, 200 is double size etc.', Category = 'medband', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '117' , Name = 'ZM_WEB_M_DEFAULT_RATE', Value = '100', Type = 'integer', DefaultValue = '100', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'What the default replay rate factor applied to\'even\' views is (%)', Help = 'Normally ZoneMinder will display\'even\' streams at their native rate, i.e. as close to real-time as possible. However if you have long events it is often convenient to replay them at a faster rate for review. This option lets you specify what the default replay rate will be. It is expressed as a percentage so 100 is normal rate, 200 is double speed etc.', Category = 'medband', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '118' , Name = 'ZM_WEB_M_VIDEO_BITRATE', Value = '75000', Type = 'integer', DefaultValue = '75000', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'What the bitrate of the video encoded stream should be set to', Help = 'When encoding real video via the ffmpeg library a bit rate can be specified which roughly corresponds to the available bandwidth used for the stream. This setting effectively corresponds to a\'qualit\' setting for the video. A low value will result in a blocky image whereas a high value will produce a clearer view. Note that this setting does not control the frame rate of the video however the quality of the video produced is affected both by this setting and the frame rate that the video is produced at. A higher frame rate at a particular bit rate result in individual frames being at a lower quality.', Category = 'medband', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '119' , Name = 'ZM_WEB_M_VIDEO_MAXFPS', Value = '10', Type = 'integer', DefaultValue = '10', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'What the maximum frame rate for streamed video should be', Help = 'When using streamed video the main control is the bitrate which determines how much data can be transmitted. However a lower bitrate at high frame rates results in a lower quality image. This option allows you to limit the maximum frame rate to ensure that video quality is maintained. An additional advantage is that encoding video at high frame rates is a processor intensive task when for the most part a very high frame rate offers little perceptible improvement over one that has a more manageable resource requirement. Note, this option is implemented as a cap beyond which binary reduction takes place. So if you have a device capturing at 15fps and set this option to 10fps then the video is not produced at 10fps, but rather at 7.5fps (15 divided by 2) as the final frame rate must be the original divided by a power of 2.', Category = 'medband', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '120' , Name = 'ZM_WEB_M_IMAGE_SCALING', Value = '4', Type = 'integer', DefaultValue = '4', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'How to scale thumbnails in events, bandwidth versus cpu in rescaling', Help = 'A value of 1 sends the whole image to the browser which resizes it in the window, larger values scale down by that amount on the server before sending a reduced size image to the browser. For medium bandwidth settings the default of 4 is usually the fastest though 1 may also work.', Category = 'medband', Readonly =  '?1:0', Requires = 'ZM_PATH_NETPBM=/' ; 
replace into Config set Id = '121' , Name = 'ZM_WEB_L_REFRESH_MAIN', Value = '300', Type = 'integer', DefaultValue = '300', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'How often (in seconds) the main console window should refresh itself', Help = 'The main console window lists a general status and the event totals for all monitors. This is not a trivial task and should not be repeated too frequently or it may affect the performance of the rest of the system.', Category = 'lowband', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '122' , Name = 'ZM_WEB_L_REFRESH_CYCLE', Value = '30', Type = 'integer', DefaultValue = '30', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'How often (in seconds) the cycle watch window swaps to the next monitor', Help = 'The cycle watch window is a method of continuously cycling between images from all of your monitors. This option determines how often to refresh with a new image.', Category = 'lowband', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '123' , Name = 'ZM_WEB_L_REFRESH_IMAGE', Value = '15', Type = 'integer', DefaultValue = '15', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'How often (in seconds) the watched image is refreshed (if not streaming)', Help = 'The live images from a monitor can be viewed in either streamed or stills mode. This option determines how often a stills image is refreshed, it has no effect if streaming is selected.', Category = 'lowband', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '124' , Name = 'ZM_WEB_L_REFRESH_STATUS', Value = '10', Type = 'integer', DefaultValue = '10', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'How often (in seconds) the status frame refreshes itself in the watch window', Help = 'The monitor window is actually made from several frames. The one in the middle merely contains a monitor status which needs to refresh fairly frequently to give a true indication. This option determines that frequency.', Category = 'lowband', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '125' , Name = 'ZM_WEB_L_REFRESH_EVENTS', Value = '180', Type = 'integer', DefaultValue = '180', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'How often (in seconds) the event listing is refreshed in the watch window', Help = 'The monitor window is actually made from several frames. The lower framme contains a listing of the last few events for easy access. This option determines how often this is refreshed.', Category = 'lowband', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '126' , Name = 'ZM_WEB_L_DEFAULT_SCALE', Value = '100', Type = 'integer', DefaultValue = '100', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'What the default scaling factor applied to\'liv\' or\'even\' views is (%)', Help = 'Normally ZoneMinder will display\'liv\' or\'even\' streams in their native size. However if you have monitors with large dimensions or a slow link you may prefer to reduce this size, alternatively for small monitors you can enlarge it. This options lets you specify what the default scaling factor will be. It is expressed as a percentage so 100 is normal size, 200 is double size etc.', Category = 'lowband', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '127' , Name = 'ZM_WEB_L_DEFAULT_RATE', Value = '100', Type = 'integer', DefaultValue = '100', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'What the default replay rate factor applied to\'even\' views is (%)', Help = 'Normally ZoneMinder will display\'even\' streams at their native rate, i.e. as close to real-time as possible. However if you have long events it is often convenient to replay them at a faster rate for review. This option lets you specify what the default replay rate will be. It is expressed as a percentage so 100 is normal rate, 200 is double speed etc.', Category = 'lowband', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '128' , Name = 'ZM_WEB_L_VIDEO_BITRATE', Value = '25000', Type = 'integer', DefaultValue = '25000', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'What the bitrate of the video encoded stream should be set to', Help = 'When encoding real video via the ffmpeg library a bit rate can be specified which roughly corresponds to the available bandwidth used for the stream. This setting effectively corresponds to a\'qualit\' setting for the video. A low value will result in a blocky image whereas a high value will produce a clearer view. Note that this setting does not control the frame rate of the video however the quality of the video produced is affected both by this setting and the frame rate that the video is produced at. A higher frame rate at a particular bit rate result in individual frames being at a lower quality.', Category = 'lowband', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '129' , Name = 'ZM_WEB_L_VIDEO_MAXFPS', Value = '5', Type = 'integer', DefaultValue = '5', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'What the maximum frame rate for streamed video should be', Help = 'When using streamed video the main control is the bitrate which determines how much data can be transmitted. However a lower bitrate at high frame rates results in a lower quality image. This option allows you to limit the maximum frame rate to ensure that video quality is maintained. An additional advantage is that encoding video at high frame rates is a processor intensive task when for the most part a very high frame rate offers little perceptible improvement over one that has a more manageable resource requirement. Note, this option is implemented as a cap beyond which binary reduction takes place. So if you have a device capturing at 15fps and set this option to 10fps then the video is not produced at 10fps, but rather at 7.5fps (15 divided by 2) as the final frame rate must be the original divided by a power of 2.', Category = 'lowband', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '130' , Name = 'ZM_WEB_L_IMAGE_SCALING', Value = '4', Type = 'integer', DefaultValue = '4', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'How to scale thumbnails in events, bandwidth versus cpu in rescaling', Help = 'A value of 1 sends the whole image to the browser which resizes it in the window, larger values scale down by that amount on the server before sending a reduced size image to the browser. For low bandwidth settings the default of 4 is usually the best.', Category = 'lowband', Readonly =  '?1:0', Requires = 'ZM_PATH_NETPBM=/' ; 
replace into Config set Id = '131' , Name = 'ZM_WEB_P_REFRESH_MAIN', Value = '300', Type = 'integer', DefaultValue = '300', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'How often (in seconds) the main console window should refresh itself', Help = 'The main console window lists a general status and the event totals for all monitors. This is not a trivial task and should not be repeated too frequently or it may affect the performance of the rest of the system.', Category = 'phoneband', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '132' , Name = 'ZM_WEB_P_REFRESH_IMAGE', Value = '30', Type = 'integer', DefaultValue = '30', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'How often (in seconds) the watched image is refreshed', Help = 'The live images from a monitor are viewed as a sequence of still images. This option determines how the image is refreshed. Though the images are small setting this at too frequent a value may rapidly consume a lot of bandwidth resource.', Category = 'phoneband', Readonly =  '?1:0', Requires = '' ; 
replace into Config set Id = '133' , Name = 'ZM_DYN_LAST_VERSION', Value = '', Type = 'string', DefaultValue = '', Hint = 'string', Pattern = '(?-xism:^(.+)$)', Format = ' $1 ', Prompt = 'What the last version of ZoneMinder recorded from zoneminder.com is', Help = '', Category = 'dynamic', Readonly =  '1?1:0', Requires = '' ; 
replace into Config set Id = '134' , Name = 'ZM_DYN_CURR_VERSION', Value = '1.21.3', Type = 'string', DefaultValue = '1.21.3', Hint = 'string', Pattern = '(?-xism:^(.+)$)', Format = ' $1 ', Prompt = 'What the effective current version of ZoneMinder is, might be different from actual if versions ignored', Help = '', Category = 'dynamic', Readonly =  '1?1:0', Requires = '' ; 
replace into Config set Id = '135' , Name = 'ZM_DYN_DB_VERSION', Value = '', Type = 'string', DefaultValue = '', Hint = 'string', Pattern = '(?-xism:^(.+)$)', Format = ' $1 ', Prompt = 'What the version of the database is, from zmupdate', Help = '', Category = 'dynamic', Readonly =  '1?1:0', Requires = '' ; 
replace into Config set Id = '136' , Name = 'ZM_DYN_LAST_CHECK', Value = '', Type = 'integer', DefaultValue = '', Hint = 'integer', Pattern = '(?-xism:^(\\d+)$)', Format = ' $1 ', Prompt = 'When the last check for version from zoneminder.com was', Help = '', Category = 'dynamic', Readonly =  '1?1:0', Requires = '' ; 
replace into Config set Id = '137' , Name = 'ZM_DYN_NEXT_REMINDER', Value = '', Type = 'string', DefaultValue = '', Hint = 'string', Pattern = '(?-xism:^(.+)$)', Format = ' $1 ', Prompt = 'When the earliest time to remind about versions will be', Help = '', Category = 'dynamic', Readonly =  '1?1:0', Requires = '' ; 

